# \Thelia\Log\DestinationTlogDestinationHtml

## Summary

Methods
Properties
Constants
__construct()
getTitle()
getDescription()
getConfigs()
write()
setConfig()
getConfig()
SetBackOfficeMode()
add()
No public properties found
VAR_STYLE
VALEUR_STYLE_DEFAUT
configure()
InsertAfterBody()
$_configs
$_logs
$flag_back_office
N/A
No private methods found
$style
N/A

File
  Log/Destination/TlogDestinationHtml.php
Package
  \Default
Class hierarchy
  \Thelia\Log\AbstractTlogDestination
  \Thelia\Log\Destination\TlogDestinationHtml

## Tags

None found

## Constants

### VAR_STYLE

    VAR_STYLE

#

## Tags

None found

### VALEUR_STYLE_DEFAUT

    VALEUR_STYLE_DEFAUT

#

## Tags

None found

## Properties

### $_configs

    $_configs

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### $_logs

    $_logs

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### $flag_back_office

    $flag_back_office

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### $style

    $style

#

## Tags

None found

## Methods

### __construct()

    __construct()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getTitle()

    getTitle()

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getDescription()

    getDescription()

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getConfigs()

    getConfigs()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### write()

    write( $res)

#### Parameters

| $res |

#

abstract

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### setConfig()

    setConfig( $name,  $value)

#### Parameters

| $name |
| $value |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### getConfig()

    getConfig( $name)

#### Parameters

| $name |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### SetBackOfficeMode()

    SetBackOfficeMode( $bool)

#### Parameters

| $bool |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### add()

    add( $string)

#### Parameters

| $string |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### configure()

    configure()

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### InsertAfterBody()

    InsertAfterBody( $res,  $logdata)

#### Parameters

| $res |
| $logdata |

#

Inherited from
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

### TlogDestinationHtml.php